package com.javahonk.services;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;

import com.javahonk.dao.SpringJdbcDaoSupportSDAO;

/**
 * @author javahonk
 *
 */
public class SpringJdbcDaoSupportServiceImpl implements SpringJdbcDaoSupportService{
	
	@Autowired
	SpringJdbcDaoSupportSDAO springJdbDaoSupportDAO;	

	@Override
	public List<Map<String, Object>> getPersonTable() {
		return springJdbDaoSupportDAO.getPersonTable();
	}

	@Override
	public List<Map<String, Object>> getPersonTableByName(String firstName) {
		return springJdbDaoSupportDAO.getPersonTableByName(firstName);
	}	

	
		

}
